Zone file
All operations require authentication.
3 operationsv1/domain/zone
Export the zoneProduction
GET
/1.0/ domain/ zone/ {zoneName}/ export
Returns the zone content as a zone file.
Path parameters
zone Name
required
string
Zone name
Response
200stringsuccessful operation
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ export \
-H "authorization: Bearer $OVH_TOKEN""string"
Import a zone fileProduction
POST
/1.0/ domain/ zone/ {zoneName}/ import
Imports a zone file into the zone and returns the task.
Path parameters
zone Name
required
string
Zone name
Request body (required)
zone File
required
string
Zone file that will be imported
Response
200Tasksuccessful operation
can Accelerate
read-only
boolean
Can accelerate the task
can Cancel
read-only
boolean
Can cancel the task
can Relaunch
read-only
boolean
Can relaunch the task
comment
read-only
string
Comment about the task
creation Date
read-only
stringdate-time
Creation date of the task
done Date
read-only
stringdate-time
Done date of the task
function
read-only
Task Function Enum
Function of the task
Values
DnsAnycastActivateDnsAnycastDeactivateDnssecDisableDnssecEnableDnssecResigningDnssecRollKskDnssecRollZskZoneCheckZoneCreateZoneCutZoneDeleteZoneImportZoneRefreshZoneRestoreid
read-only
integer
Id of the task
last Update
read-only
stringdate-time
Last update date of the task
status
read-only
Task Status Enum
Status of the task
Values
cancelleddoingdoneerrorproblemtodotodo Date
read-only
stringdate-time
Todo date of the task
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ import \
-H "authorization: Bearer $OVH_TOKEN"{ "canAccelerate": true, "canCancel": true, "canRelaunch": true, "comment": "string", "creationDate": "2024-01-01T12:00:00Z", "doneDate": "2024-01-01T12:00:00Z", "function": "DnsAnycastActivate", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Reset the zoneProduction
POST
/1.0/ domain/ zone/ {zoneName}/ reset
Resets the zone, optionally with the records to set afterward. With minimized, only the mandatory records are created.
Path parameters
zone Name
required
string
Zone name
Request body (required)
Dns Records
Reset Record []
Records that will be set after reset
minimized
boolean
Create only mandatory records
Response
200—successful operation
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ reset \
-H "authorization: Bearer $OVH_TOKEN"